#include <avr/pgmspace.h>
#include "util.h"
#include "MediaPlayer.h"

int onboardLed = 13; // digital
int frontLed = 9; // digital
MediaPlayer mediaPlayer; // create only one object, must be global

void loop()                    
{ 
  blinkLed();

  putstring("\nThese files are on the SD card:\n"); 
  mediaPlayer.exploreSDcard(true);

  putstring("\nSD card file count =  ");  
  Serial.print(mediaPlayer.exploreSDcard());

  if(!mediaPlayer.play("Notexist")) putstring("\nFile not exist"); // result is false

  putstring("\nSD card filename of file no. 3 = "); 
  Serial.print(mediaPlayer.fileName(3)); // now easier

  putstring("\nPlay ANOUK1.WAV"); 
  mediaPlayer.play("ANOUK1.WAV");
  delay(2000);

  putstring("\nPlay ILSE1.WAV without using stop()"); 
  mediaPlayer.play("ILSE1.WAV");  
  while (mediaPlayer.isPlaying()) { 
    putstring("."); 
    delay(50);
  }

  putstring("\nPlay  KREZIP1.WAV"); 
  mediaPlayer.play("KREZIP1.WAV");
  delay(2000);
  putstring("\nPause"); 
  mediaPlayer.pause();
  if(mediaPlayer.onPause()) putstring("\nMediaPlayer on pause");
  delay(500);
  putstring("\nResume"); 
  mediaPlayer.resume();
  delay(2000);  
  putstring("\nStop"); 
  mediaPlayer.stop();

  playComplete("ANOUK1.WAV");

  putstring("\nPlay all songs");
  for(int i=1; i<=mediaPlayer.exploreSDcard(); i++) playComplete(i);
  printAvailableRAM();
}
